/*
 * helper tools
 */

#include <time.h>
#include <string>

using namespace std;

class cHelpers
{
public:
  static string ToUpper(string text);
  static string GetRunningRecordings();
  static string GetNextRecordings(time_t& starttime);
private:
  static string SafeCall(string (*)());
  static string SafeCall(string (*)(time_t& starttime), time_t& starttime);
  static string GetRunningRecordingsIntern();
  static string GetNextRecordingsIntern(time_t& starttime);
};
